"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getExtendedPluginOptions = getExtendedPluginOptions;
const constants_1 = require("../constants");
const PLUGIN_RESOLUTION_PATH = '@perseidesjs/medusa-plugin-rate-limit';
function getExtendedPluginOptions(scope) {
    const configModule = scope.resolve('configModule');
    const plugins = configModule.plugins;
    if (!plugins || plugins.length === 0) {
        return constants_1.DEFAULT_OPTIONS;
    }
    const hasResolveAndOptions = (plugin) => {
        return (typeof plugin === 'object' &&
            plugin !== null &&
            'resolve' in plugin &&
            'options' in plugin);
    };
    const foundPlugin = plugins
        .filter(hasResolveAndOptions)
        .find((plugin) => plugin.resolve === PLUGIN_RESOLUTION_PATH);
    const options = foundPlugin?.options;
    return {
        limit: options.limit ?? constants_1.DEFAULT_OPTIONS.limit,
        window: options.window ?? constants_1.DEFAULT_OPTIONS.window,
        includeHeaders: options.includeHeaders ?? constants_1.DEFAULT_OPTIONS.includeHeaders,
    };
}
//# sourceMappingURL=get-extended-plugin-options.js.map